/*
 *  $Id: fs_exec.cc,v 1.1.1.1 1997/10/25 23:11:07 tp Exp $
 *
 *
 *  Copyright (C) 1997 Torsten Paul
 *
 *  This file is part of VC1541, the Commodore Floppy 1541 Emulator.
 */

#include <string.h>
#include <stdlib.h>

#include "vc1541/fs_exec.h"

FileSystemEXEC::FileSystemEXEC(File *file, char *fstype) :
	FileSystem(file, fstype)
{
}

bool FileSystemEXEC::check_type_exec(File *file, long offset, int len, char *magic)
{
	int a;
	char buf[len];

	if (!file->is_regular()) return false;

        if (file->seek(offset)) {
        	a = file->read(buf, len);
                file->rewind();
		if (a == len) {
                	if (strncmp(buf, magic, len) == 0) return true;
                }
        } else {
        	file->rewind();
        }

	return false;
}

