/*
 *  $Id: fs_dos.h,v 1.1.1.1 1997/10/25 23:11:09 tp Exp $
 *
 *
 *  Copyright (C) 1997 Torsten Paul
 *
 *  This file is part of VC1541, the Commodore Floppy 1541 Emulator.
 */

#ifndef __vc1541_fs_dos_h
#define __vc1541_fs_dos_h

#include <sys/stat.h>

#include "vc1541/fs.h"
#include "vc1541/file.h"

class FileSystemDOS : public FileSystem
{
public:
	FileSystemDOS(File *file);
	~FileSystemDOS(void) {}
	virtual File * open(char *path, DirectoryEntry *e);

	static FileSystem * check(File *file);
};

#endif /* __vc1541_fs_dos_h */
