/*
 *  $Id: fs_exec.h,v 1.1.1.1 1997/10/25 23:11:08 tp Exp $
 *
 *
 *  Copyright (C) 1997 Torsten Paul
 *
 *  This file is part of VC1541, the Commodore Floppy 1541 Emulator.
 */

#ifndef __vc1541_fs_exec_h
#define __vc1541_fs_exec_h

#include "vc1541/fs.h"
#include "vc1541/file.h"

class FileSystemEXEC : public FileSystem
{
private:
	static bool check_type_exec(File *file, long offset, int len, char *magic);
        virtual void parse(char *filename) = 0;
public:
	FileSystemEXEC(File *file, char *fstype);
	virtual File * open(char *path, DirectoryEntry *e) = 0;
};

#endif /* __vc1541_fs_exec_h */

