/*
 *  $Id: fs_lha.h,v 1.1.1.1 1997/10/25 23:11:09 tp Exp $
 *
 *
 *  Copyright (C) 1997 Torsten Paul
 *
 *  This file is part of VC1541, the Commodore Floppy 1541 Emulator.
 */

#ifndef __vc1541_fs_lha_h
#define __vc1541_fs_lha_h

#include "vc1541/fs_exec.h"

class FileSystemLHA : public FileSystemEXEC
{
private:
        virtual void parse(char *filename);
public:
	FileSystemLHA(File *file);
	virtual File * open(char *path, DirectoryEntry *e);

	static FileSystem * check(File *file);
};

#endif /* __vc1541_fs_lha_h */
