/*
 *  $Id: fs_zipc.h,v 1.1.1.1 1997/10/25 23:11:08 tp Exp $
 *
 *
 *  Copyright (C) 1997 Torsten Paul
 *
 *  This file is part of VC1541, the Commodore Floppy 1541 Emulator.
 */

#ifndef __vc1541_fs_zipc_h
#define __vc1541_fs_zipc_h

#include "vc1541/fs.h"
#include "vc1541/file.h"

class FileSystemZIPC : public FileSystem
{
private:
	static const int CHECK_LEN = 2;
protected:
	static bool check_type_zipc(File *file);
public:
	FileSystemZIPC(File *file);
	~FileSystemZIPC(void);

	File * open(char *path, DirectoryEntry *e);

	static FileSystem * check(File *file);
};

#endif /* __vc1541_fs_zipc_h */
