/*
 *  $Id: fs_d64.h,v 1.1.1.1 1997/10/25 23:11:09 tp Exp $
 *
 *
 *  Copyright (C) 1997 Torsten Paul
 *
 *  This file is part of VC1541, the Commodore Floppy 1541 Emulator.
 */

#ifndef __vc1541_fs_d64_h
#define __vc1541_fs_d64_h

#include "vc1541/fs.h"
#include "vc1541/file.h"

class FileSystemD64 : public FileSystem
{
protected:
	static bool check_type_d64(File *file);
public:
	FileSystemD64(File *file);
	~FileSystemD64(void) {}

	File * open(char *path, DirectoryEntry *e);

	static FileSystem * check(File *file);
};

#endif /* __vc1541_fs_d64_h */
