/*
 *  $Id: fs_unix.h,v 1.1.1.1 1997/10/25 23:11:09 tp Exp $
 *
 *
 *  Copyright (C) 1997 Torsten Paul
 *
 *  This file is part of VC1541, the Commodore Floppy 1541 Emulator.
 */

#ifndef __vc1541_fs_unix_h
#define __vc1541_fs_unix_h

#include <sys/stat.h>

#include "vc1541/fs.h"
#include "vc1541/file.h"

class FileSystemUNIX : public FileSystem
{
public:
	FileSystemUNIX(File *file);
	~FileSystemUNIX(void) {}

	static FileSystem * check(File *file);
};

#endif /* __vc1541_fs_unix_h */

